#include "task.h"

Task::Task(char* name, int priority)
{

}

/**
 * Runs this task.
 * If it is already running or unable to start, it fails and returns false.
 */
bool Task::Run()
{

	return false;
}

/**
 * Restarts a running task.
 * If the task isn't started, it starts it.
 * If the task is running and we are unable to kill the previous instance, returns false.
 */
bool Task::Restart()
{

	return false;
}

/**
 * Kills the running task.
 * Returns true on success false if the task doesn't exist or we are unable to kill it.
 */
bool Task::Kill()
{

	return false;
}

/**
 * Pauses a running task.
 * Returns true on success, false if unable to pause or the task isn't running.
 */
bool Task::Pause()
{

	return false;
}

/**
 * Resumes a paused task.
 * Returns true on success, false if unable to resume or if the task isn't running/paused.
 */
bool Task::Resume()
{

	return false;
}

/**
 * Verifies a task is running.
 */
bool Task::Verify()
{

	return false;
}

/**
 * Gets the priority of a task.
 * Range: ? to ???
 */
int Task::GetPriority()
{
	return m_taskPriority;
}

/**
 * Sets the priority of the task.
 * Range: ? to ???
 */
void Task::SetPriority(int p)
{
	m_taskPriority = p;
}

/**
 * Returns the name of the task.
 */
char* Task::GetName()
{
	return m_taskName;
}

/**
 * Returns the task ID of this task.
 */
int Task::GetID()
{
	return m_taskID;
}

