/*----------------------------------------------------------------------------*/
/* Copyright (c) FIRST 2008. All Rights Reserved.							  */
/* Open Source Software - may be modified and shared by FRC teams. The code   */
/* must be accompanied by the FIRST BSD license file in $(WIND_BASE)/WPILib.  */
/*----------------------------------------------------------------------------*/

#include "Error.h"

Error::Error(void)
{
	m_code = 0;
}

Error::~Error(void)
{
	
}

tRioStatusCode Error::GetCode(void)
{
	return m_code;
}

const char * Error::GetMessage(void)
{
	return m_message;
}

UINT32 Error::GetLineNumber(void)
{
	return m_lineNumber;
}

void Error::Set(UINT32 code, char *message, UINT32 lineNumber)
{
	m_code = code;
	m_message = message;
	m_lineNumber = lineNumber;
}

void Error::Clear(void)
{
	m_code = 0;
	m_message = "";
	m_lineNumber = 0;
}
