/*----------------------------------------------------------------------------*/
/* Copyright (c) FIRST 2008. All Rights Reserved.							  */
/* Open Source Software - may be modified and shared by FRC teams. The code   */
/* must be accompanied by the FIRST BSD license file in $(WIND_BASE)/WPILib.  */
/*----------------------------------------------------------------------------*/

#include "ErrorBase.h"

tRioStatusCode ErrorBase::globalError = 0;

ErrorBase::ErrorBase(void)
{
	status = 0;
}

ErrorBase::~ErrorBase(void)
{
	
}

/**
 * Retrieve the current error.
 * Get the current error value associated with this sensor.
 */
UINT32 ErrorBase::GetError(void)
{
	return status;
}

/**
 * Clear the current error value associated with this sensor.
 */
void ErrorBase::ClearError(void)
{
	status = 0;
}
