#ifndef MODULE_H_
#define MODULE_H_

#include "SensorBase.h"

class Module: public SensorBase
{
public:
	unsigned GetSlot(void) {return m_slot;}

protected:
	Module(unsigned slot);
	virtual ~Module();

	unsigned m_slot; ///< Slot number where the module is plugged into the chassis.

	// Slots are 1 based, so ignore element 0.
	static Module* m_modules[kChassisSlots + 1];
};

#endif
