#ifndef PID_OUTPUT_H
#define PID_OUTPUT_H

/**
 * PIDSource class is a generic output for the PID class.
 * PWMs use this class.
 * Users implement this interface to allow for a PIDController to 
 * write directly to outputs
 */
class PIDOutput
{
public:
	virtual void PIDWrite(float output) = 0;
};

#endif
